#ifndef _TOP10SCORESCREEN_H
#define _TOP10SCORESCREEN_H 1

#include <set>
#include <pqxx/connection>

#include "screen.h"
#include "flagtrigger.h"
#include "fetch_top_scores_for_tournament.h"

/* A screen class showing a group in the tournament */
class Top10ScoreScreen : public GenericScreen {
private:
	pqxx::connection &conn;
	unsigned tournament;
	FlagTrigger scores_changed;
	bool valid;
	std::set<TopScore> seen_topscore;
	
public:
	Top10ScoreScreen(pqxx::connection &conn, unsigned tournament);
	virtual ~Top10ScoreScreen();

	bool check_invalidated();
	void draw(unsigned char *buf, unsigned width, unsigned height);
	int get_priority();
};

#endif /* !defined(_TOP10SCORESCREEN_H) */
